%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Main screen font configuration example
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of anyRemote Android/J2ME clients main screen font customization.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);
	
(Connect)=\
	Set(parameter,debug,on);\
	Set(title,Example of anyRemote client main screen font customization);\
	Set(icons,Icons Example,\
		1,minus,2,fit,3,plus,\
		4,prev,5,play,6,next,\
		7,fit,8,stop,9,fit,\
		*,question,0,fit,#,no);\
	Set(layout,default,ticker);\
	Macro(Default);\
	Macro(SET_MENU);

* *=Set(text,replace,Help,Use menu or buttons,\n 0 - set defaults: Medium-Plain-Proportional,\n1-3 -set size,\n4-6 - set style,\n 7-9 - set face.\n\nFont customization depends on device. \nAndroid client supports only set font size.);

SET_MENU=\
	Set(menu,replace,Small,Medium,Large,Plain,Bold,Italic,Underlined,Proportional,System,Monospace);

Back=\
	Set(text,close);\
	Macro(SET_MENU);

SET_FONT=\
	Set(font,$(fsize),$(fstyle),$(fface));\
	Set(status,$(fsize) - $(fstyle) - $(fface));

Default=\
	Make(var,fsize,by_value,medium);\
	Make(var,fstyle,by_value,plain);\
	Make(var,fface,by_value,proportional);\
	Macro(SET_FONT);

Small=       Make(var,fsize,by_value,small);Macro(SET_FONT);
Medium=      Make(var,fsize,by_value,medium);Macro(SET_FONT);
Large=       Make(var,fsize,by_value,large);Macro(SET_FONT);
Plain=       Make(var,fstyle,by_value,plain);Macro(SET_FONT);
Bold=        Make(var,fstyle,by_value,bold);Macro(SET_FONT);
Italic=      Make(var,fstyle,by_value,italic);Macro(SET_FONT);
Underlined=  Make(var,fstyle,by_value,underlined);Macro(SET_FONT);
Proportional=Make(var,fface,by_value,proportional);Macro(SET_FONT);
System=      Make(var,fface,by_value,system);Macro(SET_FONT);
Monospace=   Make(var,fface,by_value,monospace);Macro(SET_FONT);

0=Macro(Default);
1=Macro(Small);
2=Macro(Medium);
3=Macro(Large);

4=Macro(Bold);
5=Macro(Italic);
6=Macro(Underlined);
7=Macro(Proportional);
8=Macro(System);
9=Macro(Monospace);

#=Set(layout,default,noticker);


[End]
